""" stopwords

This module includes 4 lists of stop words: EN (main English list), ALT_EN (alternate English list),
FR (French) and SP (Spanish).

A PT (Portuguese) list is in the works.

"""
#: ALT_ENglish stopwords
ALT_EN = [
    'a',
    'am',
    'an',
    'and',
    'are',
    'as',
    'at',
    'been',
    'for',
    'from',
    'in',
    'is',
    'of',
    'on',
    'or',
    'out',
    'so',
    'such',
    'that',
    'the',
    'these',
    'this',
    'those',
    'to',
    'upon',
    'was',
    'were'
]

#: ENglish stop words
EN = [
    'a',
    'about',
    'above',
    'across',
    'after',
    'afterwards',
    'again',
    'against',
    'all',
    'almost',
    'alone',
    'along',
    'already',
    'also',
    'although',
    'always',
    'am',
    'among',
    'amongst',
    'amount',
    'an',
    'and',
    'another',
    'any',
    'anyhow',
    'anyone',
    'anything',
    'anyway',
    'anywhere',
    'are',
    'around',
    'as',
    'at',
    'back',
    'be',
    'became',
    'because',
    'become',
    'becomes',
    'becoming',
    'been',
    'before',
    'beforehand',
    'behind',
    'being',
    'below',
    'beside',
    'besides',
    'between',
    'beyond',
    'bill',
    'both',
    'bottom',
    'but',
    'by',
    'call',
    'can',
    'cannot',
    'cant',
    'co',
    'con',
    'could',
    'couldnt',
    'cry',
    'describe',
    'detail',
    'do',
    'done',
    'down',
    'due',
    'during',
    'each',
    'eg',
    'eight',
    'either',
    'eleven',
    'else',
    'elsewhere',
    'empty',
    'enough',
    'etc',
    'even',
    'ever',
    'every',
    'everyone',
    'everything',
    'everywhere',
    'except',
    'few',
    'fifteen',
    'fifty',
    'fill',
    'find',
    'fire',
    'first',
    'five',
    'for',
    'former',
    'formerly',
    'forty',
    'found',
    'four',
    'from',
    'front',
    'full',
    'further',
    'get',
    'give',
    'go',
    'had',
    'has',
    'hasnt',
    'have',
    'he',
    'hence',
    'her',
    'here',
    'hereafter',
    'hereby',
    'herein',
    'hereupon',
    'hers',
    'herself',
    'him',
    'himself',
    'his',
    'how',
    'however',
    'hundred',
    'i',
    'ie',
    'if',
    'in',
    'inc',
    'indeed',
    'inside',
    'interest',
    'into',
    'is',
    'it',
    'its',
    'itself',
    'keep',
    'last',
    'latter',
    'latterly',
    'least',
    'less',
    'ltd',
    'made',
    'many',
    'may',
    'me',
    'meanwhile',
    'might',
    'mill',
    'mine',
    'more',
    'moreover',
    'most',
    'mostly',
    'move',
    'much',
    'must',
    'my',
    'myself',
    'name',
    'namely',
    'neither',
    'never',
    'nevertheless',
    'next',
    'nine',
    'no',
    'nobody',
    'none',
    'noone',
    'nor',
    'not',
    'nothing',
    'now',
    'nowhere',
    'of',
    'off',
    'often',
    'on',
    'once',
    'one',
    'only',
    'onto',
    'or',
    'other',
    'others',
    'otherwise',
    'our',
    'ours',
    'ourselves',
    'out',
    'over',
    'own',
    'part',
    'per',
    'perhaps',
    'please',
    'put',
    'rather',
    're',
    'same',
    'see',
    'seem',
    'seemed',
    'seeming',
    'seems',
    'serious',
    'several',
    'she',
    'should',
    'show',
    'side',
    'since',
    'sincere',
    'six',
    'sixty',
    'so',
    'some',
    'somehow',
    'someone',
    'something',
    'sometime',
    'sometimes',
    'somewhere',
    'still',
    'such',
    'system',
    'take',
    'ten',
    'than',
    'that',
    'the',
    'their',
    'them',
    'themselves',
    'then',
    'there',
    'thereafter',
    'thereby',
    'therefore',
    'therein',
    'thereupon',
    'these',
    'they',
    'thick',
    'thin',
    'third',
    'this',
    'those',
    'though',
    'three',
    'through',
    'throughout',
    'thru',
    'thus',
    'to',
    'together',
    'too',
    'top',
    'toward',
    'towards',
    'twelve',
    'twenty',
    'two',
    'un',
    'under',
    'until',
    'up',
    'upon',
    'us',
    'very',
    'via',
    'was',
    'we',
    'well',
    'were',
    'what',
    'whatever',
    'when',
    'whence',
    'whenever',
    'where',
    'whereafter',
    'whereas',
    'whereby',
    'wherein',
    'whereupon',
    'wherever',
    'whether',
    'which',
    'while',
    'whither',
    'who',
    'whoever',
    'whole',
    'whom',
    'whose',
    'why',
    'will',
    'with',
    'within',
    'without',
    'would',
    'yet',
    'you',
    'your',
    'yours',
    'yourself',
    'yourselves'
]

#: English vowels
VOWELS = [
    'a',
    'e',
    'i',
    'o',
    'u',
]

#: French (FRancais) stop words
FR = [
    'a',
    'alors',
    'au',
    'aucuns',
    'aussi',
    'autre',
    'autres',
    'aux',
    'avant',
    'avec',
    'avoir',
    'bon',
    'car',
    'ce',
    'cela',
    'ces',
    'ceux',
    'chacun',
    'chacune',
    'chaque',
    'ci',
    'comme',
    'comment',
    'dans',
    'de',
    'dedans',
    'dehors',
    'depuis',
    'derrière',
    'des',
    'dessus',
    'devant',
    'devrait',
    'doit',
    'donc',
    'dos',
    'du',
    'début',
    'elle',
    'elles',
    'en',
    'encore',
    'essai',
    'est',
    'et',
    'eu',
    'fait',
    'faites',
    'fois',
    'font',
    'hors',
    'ici',
    'il',
    'ils',
    'je',
    'juste',
    'la',
    'le',
    'les',
    'leur',
    'là',
    'ma',
    'maintenant',
    'mais',
    'mes',
    'mine',
    'moins',
    'mon',
    'mot',
    'même',
    'ni',
    'nommés',
    'notre',
    'nous',
    'ou',
    'où',
    'par',
    'parce',
    'pas',
    'peu',
    'peut',
    'plupart',
    'pour',
    'pourquoi',
    'quand',
    'que',
    'quel',
    'quelle',
    'quelles',
    'quelque',
    'quelques',
    'quels',
    'qui',
    'sa',
    'sans',
    'ses',
    'seulement',
    'si',
    'sien',
    'son',
    'sont',
    'sous',
    'soyez',
    'sujet',
    'sur',
    'ta',
    'tandis',
    'tellement',
    'tels',
    'tes',
    'ton',
    'tous',
    'tout',
    'trop',
    'très',
    'tu',
    'voient',
    'vont',
    'votre',
    'vous',
    'vu',
    'ça',
    'étaient',
    'état',
    'étions',
    'été',
    'être'
]

#: French vowels
VOYELLES = [
    'a', 'â', 'ä', 'à', 'æ',
    'e', 'ê', 'ë', 'é', 'è',
    'i', 'î', 'ï',
    'o', 'ô', 'ö', 'œ',
    'u', 'û', 'ü', 'ù',
    'y'
]

#: Spanish vowels
VOCALES = [
    'a', 'á',
    'e', 'é',
    'i', 'í',
    'o', 'ó',
    'u', 'ú', 'ü'
]

#: Spanish (ESpanol) stop words
ES = [
    'a',
    'alguna',
    'algunas',
    'alguno',
    'algunos',
    'algún',
    'ambas',
    'ambos',
    'ampleamos',
    'ante',
    'antes',
    'aquel',
    'aquellas',
    'aquellos',
    'aqui',
    'arriba',
    'atras',
    'aun',
    'bajo',
    'bastante',
    'bien',
    'cada',
    'cierta',
    'ciertas',
    'cierto',
    'ciertos',
    'como',
    'con',
    'conseguimos',
    'conseguir',
    'consigo',
    'consigue',
    'consiguen',
    'consigues',
    'cual',
    'cuando',
    'dentro',
    'desde',
    'donde',
    'dos',
    'el',
    'ella',
    'ellas',
    'ellos',
    'empleais',
    'emplean',
    'emplear',
    'empleas',
    'empleo',
    'en',
    'encima',
    'entonces',
    'entre',
    'era',
    'eramos',
    'eran',
    'eras',
    'eres',
    'es',
    'esta',
    'estaba',
    'estado',
    'estais',
    'estamos',
    'estan',
    'estoy',
    'fin',
    'fue',
    'fueron',
    'fui',
    'fuimos',
    'ha',
    'hace',
    'haceis',
    'hacemos',
    'hacen',
    'hacer',
    'haces',
    'hago',
    'incluso',
    'intenta',
    'intentais',
    'intentamos',
    'intentan',
    'intentar',
    'intentas',
    'intento',
    'ir',
    'la',
    'largo',
    'las',
    'lo',
    'los',
    'mientras',
    'mio',
    'modo',
    'muchos',
    'muy',
    'nos',
    'nosotros',
    'otro',
    'para',
    'pero',
    'podeis',
    'podemos',
    'poder',
    'podria',
    'podriais',
    'podriamos',
    'podrian',
    'podrias',
    'por',
    'porque',
    'primero',
    'puede',
    'pueden',
    'puedo',
    'quien',
    'sabe',
    'sabeis',
    'sabemos',
    'saben',
    'saber',
    'sabes',
    'ser',
    'sea',
    'sean',
    'si',
    'siendo',
    'sin',
    'sobre',
    'sois',
    'solamente',
    'solo',
    'somos',
    'soy',
    'su',
    'sus',
    'también',
    'teneis',
    'tenemos',
    'tener',
    'tengo',
    'tiempo',
    'tiene',
    'tienen',
    'todo',
    'trabaja',
    'trabajais',
    'trabajamos',
    'trabajan',
    'trabajar',
    'trabajas',
    'trabajo',
    'tras',
    'tu',
    'tuyo',
    'ultimo',
    'un',
    'una',
    'unas',
    'uno',
    'unos',
    'usa',
    'usais',
    'usamos',
    'usan',
    'usar',
    'usas',
    'uso',
    'va',
    'vais',
    'valor',
    'vamos',
    'van',
    'vaya',
    'verdad',
    'verdadera',
    'verdadero',
    'vosotras',
    'vosotros',
    'voy',
    'yo'
]
